<div id="returned-borrowing" th:fragment="returned-book" xmlns:th="http://www.thymeleaf.org">
    <h3 class="title" th:text="#{parameter.title.returnedBorrowing}"></h3>

    <!--/*@thymesVar id="returnedBorrowings" type="java.util.ArrayList<org.openclassroom.project.librarywebapp.models.Borrowing>"*/-->
    <table class="table table-sm" id="returned-borrowing-table" th:unless="${returnedBorrowings.isEmpty()}">
        <thead class="thead-brown">
        <tr>
            <th th:text="#{table.title}"></th>
            <th th:text="#{table.library}"></th>
            <th th:text="#{table.quantity}"></th>
            <th th:text="#{table.borrowingdate}"></th>
            <th th:text="#{table.expirydate}"></th>
        </tr>
        </thead>
        <tbody>
        <tr onclick="getBookDetailView(this.getAttribute('data'));" th:data="${borrowing.book.reference}"
            th:each="borrowing: ${returnedBorrowings}" th:if="${borrowing.status.equals('RETURNED')}">
            <td>
                <a class="book-title" th:href="@{/book-detail/{reference}(reference=${borrowing.book.reference})}"
                   th:text="${borrowing.book.title}"></a>
            </td>
            <td data-placement="bottom" data-toggle="tooltip" th:text="${borrowing.library.name}"
                th:title="${borrowing.library.address}"></td>
            <td class="cell-centered-content" th:text="${borrowing.quantity}"></td>
            <td class="cell-centered-content" th:text="${#dates.format(borrowing.startDate, 'dd-MM-yyyy')}"></td>
            <td class="cell-centered-content" th:text="${#dates.format(borrowing.endDate, 'dd-MM-yyyy')}"></td>
        </tr>
        </tbody>
    </table>

    <!-- If there are no books returned -->
    <p th:if="${returnedBorrowings.isEmpty()}" th:text="#{parameter.text.noreturnedbook}"></p>

    <script type="text/javascript">
        $(document).ready(function () {
            $('#returned-borrowing-table').DataTable({
                "searching": false,
                "lengthChange": false,
                "pageLength": 5,
                "pagingType": "full",
                "language": {
                    "paginate": {
                        "first": "<< First",
                        "previous": "< Previous",
                        "next": "Next >",
                        "last": "Last >>"
                    }
                },
                "info": false
            });
        });
    </script>
</div>